org.apache.lucene.analysis.miscellaneous

## Class FingerprintFilterFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenFilterFactory
    - - org.apache.lucene.analysis.miscellaneous.FingerprintFilterFactory

    public class FingerprintFilterFactory
    extends TokenFilterFactory

Factory for `FingerprintFilter`.

     The maxOutputTokenSize property is optional and defaults to 1024.
     The separator property is optional and defaults to the space character.
     See
     FingerprintFilter for an explanation of its use.

Since:
  5.4.0

### Field Summary

Fields
`static String` `MAX_OUTPUT_TOKEN_SIZE_KEY`
`static String` `SEPARATOR_KEY`

### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

### Constructor Summary

Constructors
Constructor and Description
`FingerprintFilterFactory(Map<String,String> args)` Creates a new FingerprintFilterFactory

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenStream` `create(TokenStream input)` Transform the specified input TokenStream

### Methods inherited from class org.apache.lucene.analysis.util.TokenFilterFactory

`availableTokenFilters, forName, lookupClass, reloadTokenFilters`

### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

`get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_OUTPUT_TOKEN_SIZE_KEY

    public static final String MAX_OUTPUT_TOKEN_SIZE_KEY

See Also:
  Constant Field Values

#### SEPARATOR_KEY

    public static final String SEPARATOR_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### FingerprintFilterFactory

    public FingerprintFilterFactory(Map<String,String> args)

Creates a new FingerprintFilterFactory

### Method Detail

#### create

    public TokenStream create(TokenStream input)

Description copied from class: `TokenFilterFactory`
Transform the specified input TokenStream

Specified by:
  `create` in class `TokenFilterFactory`